Bug 30947 - Unable to access Samba Server: Network is Busy from windows Clients.
Unable to access Samba Server: Network is Busy from windows Clients.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: samba (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-07 09:49 EST by Need Real Name
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-30 09:42:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-03-07 09:49:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (Win95; U)


Samba Server is setup without Firewall rules. 
it is working fine but with one problem. 
When client want to acces the Samba Client from Win98, WinME They get the error msgs.
Network is Busy

the weird thing is that when i manage to acces the server once, It will "always" work.
As if it is an Identification problem.  In the Newsgroup i have read it may be a DNS error?

Reproducible: Sometimes
Steps to Reproduce:
1.Reboot the client. 
2. Try to connect to Samba Server, May have difficulties to connect (see files or map Drive)
3.After Couple of try, it will finanaly manage to get thrue and it will work for rest of the day
	

Here is a Log from a client.log in /var/log/samba

[2001/03/05 17:47:13, 0] lib/util_sock.c:write_socket_data(540)
  write_socket_data: write failure. Error = Broken pipe
[2001/03/05 17:47:13, 0] lib/util_sock.c:write_socket(566)
  write_socket: Error writing 4 bytes to socket 6: ERRNO = Broken pipe
[2001/03/05 17:47:13, 0] lib/util_sock.c:send_smb(754)
  Error writing 4 bytes to client. -1. Exiting
[2001/03/05 17:47:26, 0] lib/util_sock.c:write_socket_data(540)
  write_socket_data: write failure. Error = Broken pipe
[2001/03/05 17:47:26, 0] lib/util_sock.c:write_socket(566)
  write_socket: Error writing 4 bytes to socket 6: ERRNO = Broken pipe
[2001/03/05 17:47:26, 0] lib/util_sock.c:send_smb(754)
  Error writing 4 bytes to client. -1. Exiting
Comment 1 Helge Deller 2001-05-25 07:41:14 EDT
Which samba version ?
Have you tried the newest errata ?
It often helps to log out as user in windows and re-login again.

Comment 2 Tarragon Allen 2001-05-29 21:42:47 EDT
I have had similar behaviour on a system that was upgraded to the newest 2.0.8 
RPM.  It had previously been working perfectly with the 2.0.7 release.  
Downgrading to 2.0.7 fixed the problem.
Comment 3 Need Real Name 2001-05-30 09:41:55 EDT
Problem is SOLVED.

Basically, SAMBA -IGNORES- the WINS server for login authentication
no matter how you specify it in the config file. Therefore you have to have EVERY IP listed in /etc/hosts.
If you're using DHCP like I am then you don't know what hostname an IP will be - but you can either leave it blank
or use any name,SAMBA doesn't care.  Nice huh?  I forces the verification but then
doesn't care if it verifies to anything or not.  

I would like to Thanks : David L. Jarvis   DJarvis@DupliOnline.com 
Comment 4 Trond Eivind Glomsrxd 2001-06-18 17:06:34 EDT
Closing as requested.

Note You need to log in before you can comment on or make changes to this bug.